#include "asprite.h"

void SP_HVREV1(int sp,int md)
// 1スプライトの垂直・水平反転
{
int stk;
unshort *s,c;
	stk=B_SUPER(0);
	// スプライトレジスタアドレス計算
	s=SP_ADRS(sp,4);
	//       5432109876543210
	c=(*s)&0b0011111111111111;
	*s=(c|(md<<14));
	B_SUPER(stk);
}
